Announcements
IMPORTANT: Cypress Developer Community is transitioning on October 20th. To learn more and be prepared for this change, check out our latest announcement.
cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 5, 3 & 1 MCU

Anonymous
Not applicable
        Opened up a brand new kit and popped in the CD. It would only load so far and then said Cyclical Redundancey Error. So I loaded PSOC Designer 5.4 from the web. Do I need anymore tools? Also, where can I download the example tutorials that would have been on the disk? Thanks in advance. GDN   
0 Likes
5 Replies
Anonymous
Not applicable
        Hi GDN, Welcome to the PSOC world,   
You have to download PSoC Creator, not Designer.   
[ http://www.cypress.com/?id=2494&source=support ]   
   
And also you can download Software of DEVKIT-050   
[ http://www.cypress.com/?rID=51577 ]   
CY8CKIT-050 PSoC 5LP DVK Setup (Kit Design Files,   
Creator, Programmer, Documentation, Examples)   
0 Likes
Anonymous
Not applicable

 PSOC Designer is used to write code for the PSOC1 devices. You will need to install PSOC creator for the PSOC3, PSOC4 and PSOC5.

   

 

   

The landing page for the kit is :

   

http://www.cypress.com/go/cy8ckit-050

   

there you can find a link to download PSOC creator and an archive with the fuill documentation and code examples. You can also download an DVD Image (ISO file) with the full contents of the kit's DVD to burn on a blank media or mount on a virtual drive.

0 Likes
Anonymous
Not applicable
        Thanks for your help! OK, I have everything loaded, clicked on an example project, compiled successfully. However, when I go to program it I get a message that says "the device was recognized, but psoc designer does not support using it at this time. Any help would be appreciated.   
0 Likes
Anonymous
Not applicable
        Hey GDN,   
zeta and I said use Creator, not Designer.   
Don't miss   
.   
0 Likes
ETRO_SSN583
Esteemed Contributor

The -050 kit had a change in silicon on it. Does your kit have a PSOC 5LP part on it ?

   

Or the older PSOC 5 ? PSOC 5LP is the recommended part of choice for PSOC 5

   

designs. If you have the older board you can get an upgraded board from www.cypress.com/

   

and www.cypress.com/go/psockitupgrade

   

 

   

If the board P/N is CY8C5568AXI-060 TQFP100 that is the older board.

   

 

   

Regards, Dana.

0 Likes